PDA

View Full Version : CJOverkill 5.0.4


CamEscorts
10th November 2008, 05:45 PM
Any estimated time of completion for 5.0.4?

Just waiting on the latest version that is backwards compatible w/ over versions of Zend optimizer. :)

ICEFIRE
10th November 2008, 06:03 PM
It's scheduled for 14th. Doing the final tests and fixes at the moment.

CamEscorts
15th November 2008, 04:17 AM
Hi IceFire, its the 14th, and Ive been patiently refreshing your page every hour hoping to see 5.0.4. :)

Any updates?

ICEFIRE
16th November 2008, 03:02 PM
Detected a slight problem while doing the final real traffic tests.
Working on the fix at the moment.

CamEscorts
30th November 2008, 11:42 PM
I guess you meant DECEMBER 14th :D

just kidding...

Any updates?

Thanks

cmedia
3rd December 2008, 07:31 AM
Impatiently waiting! :p:D

ICEFIRE
3rd December 2008, 12:02 PM
I'm working on it.

The problem is the zend garbage collector that changes completely from zend optimizer version 2.6 to version 3.0. With version 2.6 lots of garbage collection must be done by hand. Like unused variables cleaning for example.

cmedia
3rd December 2008, 03:57 PM
I'm working on it.

The problem is the zend garbage collector that changes completely from zend optimizer version 2.6 to version 3.0. With version 2.6 lots of garbage collection must be done by hand. Like unused variables cleaning for example.

Good luck/work!

I'm sure you will solve the problem.

I know 0 about programming but if you need help to make the admin area of cjoverkill more user friendly and more nice graphically, let me know.

cmedia
12th December 2008, 12:23 PM
5.0.4 will be not a majore relase, right... only bug fixer and retro compatibility?

CamEscorts
17th December 2008, 03:27 PM
Hey IceFire...

Just wanted to get an estimated date of completion?

You had mentioned 5.0.4 would be released last month...

If its going to be a while I need to install a diff script.

Thanks.

ICEFIRE
17th December 2008, 08:26 PM
5.0.4 will be not a majore relase, right... only bug fixer and retro compatibility?

yes, it's just a backwards compatibility patch.

ICEFIRE
17th December 2008, 08:29 PM
Hey IceFire...

Just wanted to get an estimated date of completion?

You had mentioned 5.0.4 would be released last month...

If its going to be a while I need to install a diff script.

Thanks.

It's already working on two prduction servers at last stage testing since a day ago. tomorrow if they are still performing properly it will get released.
Sorry for the delay, but it was not an easy fix and some functions had to be rewritten several times. The biggest problem is that it needed lots of testing and that takes lots of time.

ICEFIRE
18th December 2008, 12:12 PM
Version 5.0.4 has been just released.

It should work ok with Zend Optimizer 2.6.

cmedia
24th December 2008, 01:13 PM
Thank you very much and have a nice holiday!

CamEscorts
15th January 2009, 04:38 AM
Version 5.0.4 has been just released.

It should work ok with Zend Optimizer 2.6.


Hi IceFire...

I successfully installed 5.0.4 on my site using Zend 2.6. It was up and running for the past week.... However, tonight Im getting an error saying:

Zend Optimizer not installed
This file was encoded by the Zend Guard. In order to run it, please install the Zend Optimizer (available without charge), version 3.0.0 or later.


It was my understanding that 5.0.4 was suppose to be compatible with Zend 2.6 (and it was - earlier today LOL).

I checked my php.ini file just to verify nothing changed here..

[Zend]
zend_extension=/usr/local/zo/ZendExtensionManager.so
zend_extension=/usr/local/zo/4_3/ZendOptimizer.so

Did something on your end change to suddenly require Zend 3.0 again?

Im just trying to isolate the problem so I can troubleshoot.

ICEFIRE
15th January 2009, 12:13 PM
CjOverkill once installed on your server doesn't download or update stuff from my servers. This is basic security measure.
Once you install the script it's completely under your control and I have no access at all over it.

Surely it's something on your server side.